//start add by yinrf
#ifndef _OEMMPCtl_API_H_
#define _OEMMPCtl_API_H_

//#ifdef ON
//	#undef ON
//#endif

//#ifdef OFF
//	#undef OFF
//#endif

#include "OEMMPCTL.H"
#include "AEE_OEMDispatch.h"
enum
{
    IMP_REQ_CLOSE,
    IMP_REQ_SETVOL,
    IMP_REQ_FF,
    IMP_REQ_REW,
    IMP_REQ_PREDATA,
    IMP_REQ_NEXTDATA,
    IMP_REQ_EARPHO,
    IMP_REQ_START,
    IMP_REQ_RESUME,
    IMP_REQ_PAUSE
};
int ApiBrewIMPCTL_SendReq( int nState, boolean b_Parm);
int ApiBrewIMPCTL_ProcReq( int nState, boolean b_Parm );
boolean ApiBrewIMPCTL_IsActive();
boolean ApiBrewIMPCTL_NotInCompetition();
boolean ApiBrewIMPCTL_IsPlayState();
boolean ApiBrewIMPCTL_IsPlayPauseState( void );
/*    add by Yin.R.F for TRK1690 2005/11/09 Start    */
int ApiBrewIMPCTL_GetFfRewState( void );
/*    add by Yin.R.F for TRK1690 2005/11/09 End      */

/*    I-Share TRK1740 [B]    */
void ApiBrewIMPCTL_SetAudoToneFlag(boolean parm);
boolean ApiBrewIMPCTL_GetAudoToneFlag(void);
unsigned char ApiBrewIMPCTL_GetCurrentKeyTone( void );
/*    I-Share TRK1740 [E]    */

#endif // _OEMMPCtl_API_H_
//end yinrf